<?
require("../clases/tarea.class.php");
$obj = new tarea();
$t = $_REQUEST["text"];
if($t=="R"){

		$idclases = $_REQUEST["idclases"];
		$titulo = strtoupper($_REQUEST["titulo"]);
		$descripcion = trim(strtoupper($_REQUEST["descripcion"]));
		$visible = "SI";
		$fechalimite = $_REQUEST["fechalimite"];
		$fechareg = date("Y-m-d");
		/////////////////////para subir el archivo//////////////////////////////
		$iddoc_cur =$_REQUEST["iddoc_cur"];

		/////////////////////////////////////////////////////////////////
		if($obj->Crear($idclases,$titulo,$descripcion,$visible,$fechalimite,$fechareg)){
					echo "<script languaje=javascript>\n";
	 				echo "location.href ='../frmtarea.php?iddoccur=$iddoc_cur&idclases=$idclases';";
	 				echo "</script>";

		}else{
		       echo "no pasa nada";
		     }
}

if($t=="M"){

		$idtarea = $_REQUEST["idtarea"];
		$titulo = strtoupper($_REQUEST["titulo"]);
		$descripcion = trim(strtoupper($_REQUEST["descripcion"]));
		//$visible = "SI";
		$fechalimite = $_REQUEST["fechalimite"];
		//$fechareg = date("Y-m-d");
		/////////////////////para subir el archivo//////////////////////////////
		$iddoc_cur =$_REQUEST["iddoc_cur"];
		$idclases = $_REQUEST["idclases"];
		$fechalimite = implode("-", array_reverse(explode("-", $fechalimite)));
		/////////////////////////////////////////////////////////////////
		if($obj->Actualizar($idtarea,$titulo,$descripcion,$fechalimite)){
					echo "<script languaje=javascript>\n";
	 				echo "location.href ='../frmtarea.php?iddoccur=$iddoc_cur&idclases=$idclases';";
	 				echo "</script>";

		}else{
		       echo "no pasa nada";
		     }
}

if($t=="e"){
 $iddoccur = $_REQUEST["iddoccur"];
 $idclases = $_REQUEST["idc"];
 $cod = $_REQUEST["id"];

		 if($obj->Eliminar($cod)){

			   echo "<script languaje=javascript>\n";
				echo "location.href ='../frmtarea.php?iddoccur=$iddoccur&idclases=$idclases';";
				echo "</script>";
		   }
		   else
		   {
			echo "no pasa nada";
		   }

}

if($t=="A")
{      $iddoccur = $_REQUEST["iddoccur"];
 		$cod = $_REQUEST["id"];
		$estado = $_REQUEST["estado"];
		/////////////////////////////////////////////////////////////////
	if($estado=="V")
	{
		if($obj->Actualizarestado($cod,"NV"))
		  {
					echo "<script languaje=javascript>\n";
	 				echo "location.href ='../manclase.php?id=$iddoccur';";
	 				echo "</script>";
		  }else{
		         echo "no se actualizo";
		        }
	}else{
			if($obj->Actualizarestado($cod,"V"))
		  		{
					echo "<script languaje=javascript>\n";
	 				echo "location.href ='../manclase.php?id=$iddoccur';";
	 				echo "</script>";
		  		}else{
		         		echo "no se actualizo";
		        	}
		 }
}
///////////////////////////////////


?>
